<div class="signup-wrap">
  <div class="signup-form-holder mat-elevation-z4 py-48"
       [@animate]="{value:'*',params:{y: '40px',opacity:'0',delay:'100ms', duration: '400ms'}}">
    <div class="row">
      <div class="col-md-12 text-center pt-lg-1">
        <mat-label class="singup-title"><b>Inicio de Sesión</b></mat-label>
      </div>

      <div class="col-md-12">
        <form [formGroup]="loginForm" class="signup-form" (ngSubmit)="signin()">
          <div class="row">
            <div class="col-md-12">
              <mat-form-field class="full-width" appearance="outline">
                <mat-label>Usuario
                  <mat-icon matSuffix>person</mat-icon>
                </mat-label>
                <input matInput formControlName="username" placeholder="Usuario"/>
                <mat-error
                  *ngIf="loginForm.controls['username'].hasError('required') && loginForm.controls['username'].touched"
                  class="text-danger font-14">Este campo es obligatorio.
                </mat-error>
              </mat-form-field>
            </div>

            <div class="col-md-12">
              <mat-form-field class="full-width" appearance="outline">
                <mat-label>Contraseña
                  <mat-icon matSuffix>vpn_key</mat-icon>
                </mat-label>
                <input matInput formControlName="password" type="password" placeholder="********"/>
                <mat-error
                  *ngIf="loginForm.controls['password'].hasError('required') && loginForm.controls['password'].touched"
                  class="text-danger font-14">Este campo es obligatorio.
                </mat-error>
              </mat-form-field>
            </div>
            <div class="col-md-12">
              <button mat-raised-button color="primary" id="btnlogin" name="btnlogin" class="btn-block">Ingresar
              </button>
            </div>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>
